version: '2.2'

services:

  flexinale-modulith-2-components:
    image: de.accso/flexinale-modulith-2-components:2024.3.0
    depends_on:
      - flexinale-postgres
    ports:
      - "8080:8080"
    networks:
      - flexinale-network
    command: sh -c "java -Dspring.datasource.url=jdbc:postgresql://flexinale-postgres:5432/modulith-2 -jar flexinale-modulith-2-components-2024.3.0-spring-boot-fat-jar.jar"
